CREATE TABLE CRST_AP_BATCHES
(
  BATCH_ID                   NUMBER(15),
  BATCH_NAME                 VARCHAR2(50 BYTE),
  BATCH_DATE                 DATE,
  LAST_UPDATE_DATE           DATE,
  LAST_UPDATED_BY            NUMBER(15),
  CONTROL_INVOICE_COUNT      NUMBER(15),
  CONTROL_INVOICE_TOTAL      NUMBER,
  ACTUAL_INVOICE_COUNT       NUMBER(15),
  ACTUAL_INVOICE_TOTAL       NUMBER,
  INVOICE_CURRENCY_CODE      VARCHAR2(15 BYTE),
  PAYMENT_CURRENCY_CODE      VARCHAR2(15 BYTE),
  LAST_UPDATE_LOGIN          NUMBER(15),
  CREATION_DATE              DATE,
  CREATED_BY                 NUMBER(15),
  PAY_GROUP_LOOKUP_CODE      VARCHAR2(25 BYTE),
  BATCH_CODE_COMBINATION_ID  NUMBER(15),
  TERMS_ID                   NUMBER(15),
  ATTRIBUTE_CATEGORY         VARCHAR2(150 BYTE),
  ATTRIBUTE1                 VARCHAR2(150 BYTE),
  ATTRIBUTE2                 VARCHAR2(150 BYTE),
  ATTRIBUTE3                 VARCHAR2(150 BYTE),
  ATTRIBUTE4                 VARCHAR2(150 BYTE),
  ATTRIBUTE5                 VARCHAR2(150 BYTE),
  ATTRIBUTE6                 VARCHAR2(150 BYTE),
  ATTRIBUTE7                 VARCHAR2(150 BYTE),
  ATTRIBUTE8                 VARCHAR2(150 BYTE),
  ATTRIBUTE9                 VARCHAR2(150 BYTE),
  ATTRIBUTE10                VARCHAR2(150 BYTE),
  ATTRIBUTE11                VARCHAR2(150 BYTE),
  ATTRIBUTE12                VARCHAR2(150 BYTE),
  ATTRIBUTE13                VARCHAR2(150 BYTE),
  ATTRIBUTE14                VARCHAR2(150 BYTE),
  ATTRIBUTE15                VARCHAR2(150 BYTE),
  INVOICE_TYPE_LOOKUP_CODE   VARCHAR2(25 BYTE),
  HOLD_LOOKUP_CODE           VARCHAR2(25 BYTE),
  HOLD_REASON                VARCHAR2(240 BYTE),
  DOC_CATEGORY_CODE          VARCHAR2(30 BYTE),
  ORG_ID                     NUMBER(15),
  GL_DATE                    DATE,
  PAYMENT_PRIORITY           NUMBER(2),
  DUMMY                      CHAR(1),
  LAST_UPDATED_BY_NAME       VARCHAR2(100),
  CREATED_BY_NAME            VARCHAR2(100),
  BATCH_CCID_D               VARCHAR2(100),
  AP_Term                    VARCHAR2(100),
  ORG_NAME                   VARCHAR2(100)
);